# $Revision: 1.20 $, $Date: 2012/05/14 09:53:26 $
Summary:	UPnP library based on GObject and libsoup
Summary(pl.UTF-8):	Biblioteka UPnP oparta na bibliotekach GObject i libsoup
Name:		gupnp
# note: 0.18.x is stable, 0.19.x unstable
Version:	0.18.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp/0.18/%{name}-%{version}.tar.xz
# Source0-md5:	1086654db47def9fbe9fc54c1228d663
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd44-xml
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	gssdp-devel >= 0.12.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libsoup-devel >= 2.28.2
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libuuid-devel >= 1.36
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
Requires:	gssdp >= 0.12.0
Requires:	libsoup >= 2.28.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

%description -l pl.UTF-8
GUPnp to zorientowany obiektowo, mający otwarte źródła szkielet do
tworzenia urządzeń i punktów sterujących UPnP, napisany w C z użyciem
bibliotek GObject i libsoup. API GUPnp ma być łatwe w użyciu, wydajne
i elastyczne.

%package devel
Summary:	Header files for gupnp
Summary(pl.UTF-8):	Pliki nagłówkowe gupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
Requires:	gssdp-devel >= 0.12.0
Requires:	libsoup-devel >= 2.28.2
Requires:	libuuid-devel >= 1.36
Requires:	libxml2-devel >= 1:2.6.30

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(gupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (gupnp).

%package static
Summary:	Static gupnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gupnp.

%package apidocs
Summary:	gupnp API documentation
Summary(pl.UTF-8):	Dokumentacja API gupnp
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gupnp API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gupnp.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-context-manager=network-manager

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gupnp-binding-tool
%attr(755,root,root) %{_libdir}/libgupnp-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-1.0.so.4
%{_libdir}/girepository-1.0/GUPnP-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-1.0.so
%{_datadir}/gir-1.0/GUPnP-1.0.gir
%{_includedir}/gupnp-1.0
%{_pkgconfigdir}/gupnp-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gupnp.spec,v $
Revision 1.20  2012/05/14 09:53:26  kiesiu
- updated to 0.18.3

Revision 1.19  2012/03/21 18:20:39  qboosh
- updated to 0.18.2

Revision 1.18  2011/12/09 19:05:57  wiget
- up to 0.18.1

Revision 1.17  2011/10/29 10:46:20  megabajt
- updated to 0.18.0 (new soname)

Revision 1.16  2011/06/01 19:53:50  megabajt
- updated to 0.16.1

Revision 1.15  2011/04/02 18:57:52  megabajt
- drop libtool file
- release 2

Revision 1.14  2011/02/04 20:58:46  qboosh
- updated to 0.14.1

Revision 1.13  2011/01/24 01:02:20  sparky
- BR: docbook-dtd412-xml, docbook-dtd44-xml, rpm-pythonprov

Revision 1.12  2010/10/31 09:52:08  megabajt
- updated to 0.14.0

Revision 1.11  2010/06/20 10:43:06  megabajt
- updated to 0.13.4

Revision 1.10  2009/12/29 20:25:23  megabajt
- updated to 0.13.2

Revision 1.9  2009/11/07 17:51:43  megabajt
- updated to 0.13.1 (new soname)

Revision 1.8  2009/06/29 22:34:44  megabajt
- updated to 0.12.8

Revision 1.7  2009/03/18 23:45:48  megabajt
- updated to 0.12.6

Revision 1.6  2008/08/31 21:18:34  patrys
- 0.12.2

Revision 1.5  2008-05-14 09:46:56  patrys
- 0.10

Revision 1.4  2007-08-23 00:43:52  aredridel
- 0.4

Revision 1.3  2007/08/03 22:35:06  qboosh
- pl desc
- more BRs, devel deps
- fixed License

Revision 1.2  2007/08/03 15:35:21  aredridel
- 0.3

Revision 1.1  2007/07/29 19:22:51  aredridel
- added
